Summary:		ACPI kernel daemon and control utility
Name:			acpid
Version: 		1.0.3
Release:		1mdk
License:		GPL
Group:			System/Servers
Epoch:			2

Prereq:			/sbin/chkconfig /sbin/service

Source0:		http://unc.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2
Source1:		acpid.rc.bz2
Patch0:			acpid-kernel-acpi-h.patch.bz2

URL:			http://acpid.sourceforge.net/
BuildRoot:		%{_tmppath}/%{name}-buildroot
ExclusiveArch:		%{ix86} ia64 x86_64 amd64
PreReq:			rpm-helper
Requires:		suspend-scripts

%description
The ACPI specification defines power and system management functions
for each computer, in a generic manner.  The ACPI daemon coordinates
the management of power and system functions when ACPI kernel
support is enabled (kernel 2.3.x or later).

%prep 
%setup -q
%patch -p1

%build
%serverbuild
%make

%install
mkdir -p $RPM_BUILD_ROOT/%_sbindir
install -m755 acpid $RPM_BUILD_ROOT/%_sbindir
mkdir -p $RPM_BUILD_ROOT/%_mandir/man8
install -m644 acpid.8 $RPM_BUILD_ROOT/%_mandir/man8

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
bzcat %{SOURCE1} > $RPM_BUILD_ROOT/acpid.rc
install -m755 $RPM_BUILD_ROOT/acpid.rc $RPM_BUILD_ROOT/etc/rc.d/init.d/acpid

# (sb) installed but unpackaged
rm -f $RPM_BUILD_ROOT/acpid.rc

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_post_service acpid

%preun
%_preun_service acpid

%files
%defattr(-,root,root)
%doc README
%{_sbindir}/*
%{_mandir}/man8/*
%config(noreplace) %{_sysconfdir}/rc.d/init.d/acpid

%changelog
* Mon Apr 26 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.0.3-1mdk
- call battery.sh if present
- New release 1.0.3

* Thu Sep 18 2003 Frederic Lepied <flepied@mandrakesoft.com> 1.0.2-4mdk
- added missing requires suspend-scripts

* Fri Aug 29 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.2-3mdk
- ExclusiveArch: ia64 amd64 too

* Fri Aug 29 2003 Frederic Lepied <flepied@mandrakesoft.com> 1.0.2-2mdk
- don't start if /proc/acpi/event isn't present

* Thu May 22 2003 Stew Benedict <sbenedict@mandrakesoft.com> 1.0.2-1mdk
- 1.0.2

* Mon Jan  6 2003 Stew Benedict <sbenedict@mandrakesoft.com> 1.0.1-3mdk
- rebuild for new glibc/rpm, deal with installed but unpackaged files

* Tue Oct  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-2mdk
- Fix manpage generation
- Fix rpmlint warnings

* Fri Aug  2 2002 Jeff Garzik <jgarzik@mandrakesoft.com> 1.0.1-1mdk
- Version 1.0.1

* Tue Nov 20 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 1.0.0-1mdk
- First stable release 1.0.0.
- s/Copyright/License/
- add Epoch (previous version was 071100-7mdk)
- update URL
- remove BuildRequires: popt-devel, no longer needed

* Wed Apr  4 2001 Frederic Lepied <flepied@mandrakesoft.com> 071100-7mdk
- noreplace on initscript
- use server macros

* Sun Feb 11 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 071100-6mdk
- ExclusiveArch: x86 (for now)
- Much spec cleaning

* Fri Nov 03 2000 David BAUDENS <baudens@mandrakesoft.com> 071100-5mdk
- ExcludeArch: ppc at present time

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 071100-4mdk
- automatically added BuildRequires

* Wed Jul 26 2000 Lenny Cartier <lenny@mandrakesoft.com> 071100-3mdk
- little cleaning

* Thu Jul 13 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 071100-2mdk
- Version 071100 (requires acpi interpreter from 2.4.0-test3 or later)

* Fri Jun 09 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 052200-1mdk
- Version 052200
- Uses configure script not manual make method.

* Tue May 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 031700-5mdk
- Add alpha to ExcludeArch.

* Fri May 19 2000 Francis Galiegue <fg@mandrakesoft.com> 031700-4mdk
- Replaced exclusivearch <shitload of x86> with ExcludeArch sparc sparc64

* Mon May 15 2000 Pixel <pixel@mandrakesoft.com> 031700-3mdk
- exclusivearch x86

* Mon Apr 17 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 031700-2mdk
- use percent-config for init.d startup script
- compress acpid.rc with bzip2

* Mon Apr 17 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 031700-1mdk
- initial contribs version of acpid package
